summaryrefslogtreecommitdiff
path: root/test-many-generations
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2012-01-01 14:03:23 +0000
committerLars Wirzenius <liw@liw.fi>2012-01-01 14:03:23 +0000
commit5a121bfa8bc008fef71aa5b2cbbfe15240a01729 (patch)
tree11e926d691daac8be572a75ca790e7d71dd72fff /test-many-generations
parenta2900b4bfb23e79bf2937e4fc1c79e6868ec0e36 (diff)
downloadobnam-5a121bfa8bc008fef71aa5b2cbbfe15240a01729.tar.gz
add test for backing up many small generations for one client
Diffstat (limited to 'test-many-generations')
-rwxr-xr-xtest-many-generations51
1 files changed, 51 insertions, 0 deletions
diff --git a/test-many-generations b/test-many-generations
new file mode 100755
index 00000000..141f3995
--- /dev/null
+++ b/test-many-generations
@@ -0,0 +1,51 @@
+#!/bin/sh
+#
+# Obnam test: backup and verify many generations of data.
+#
+# Copyright 2012 Lars Wirzenius
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+die()
+{
+ echo "$@" 1>&2
+ exit 1
+}
+
+[ "$#" = 3 ] || die "Bad usage, read source!"
+
+N="$1"
+repo="$2"
+client="$3"
+root="$(mktemp -d)"
+amount="1k"
+
+conf="$(mktemp)"
+cat <<EOF > "$conf"
+[config]
+client-name = $client
+quiet = yes
+EOF
+
+seq "$N" |
+while read gen
+do
+ echo "$gen"
+ genbackupdata --quiet --create="$amount" "$root"
+ ./verification-test backup "$repo" "$root" "$conf"
+done
+./verification-test verify "$repo" "$root" "$conf"
+
+rm -rf "$conf" "$root"
+